Subject: Re: problem with symbolic links across filesystems
From: [email-masked] (Earnie Boyd)

22 Aug 1998 14:27:00 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: ChadyS <[email-masked]>, [email-masked]

---ChadyS <[email-masked]> wrote:
>
> I have recently started working with the b19.1 version of the
cygwin32 tools,
> and I am very much interested in using the symbolic link capability.
 I have
> found a problem using symbolic links across filesystems.
> 
> Here is the setup:
> directory	d:/da/db
> directory	c:/ca
> 
> ln -s d:/da/db c:/ca/cb
> 
> If you are in /ca, you can cd to cb without problems.
> 
> You can't, however, cd to /ca/cb.  The problem is realpath shows the
following
> path for /ca/cb:	/ca/d:/da/db
> 
> Does anyone have any suggestions?

Try the following (although this looks like a bug in path demangling
so it probably won't help):

mount -b d:/ d
ln -s /d/da/db /c/ca/cb

If that doesn't work, try it this way:

mount -b d:/da /da
ls -s /da/db /ca/cb

Please, report your results to the list.
==
-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".